Page MenuHomePhabricator

Enable SecurePoll on Arabic Wikipedia
Closed, ResolvedPublic

Description

Hi all,
I think (Extension:SecurePoll) was enabled in Arwiki but none can create an new poll.

so we want to enable it in Arwiki for Administrators.

This is the discussion and the vote (full consensus)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2017, 1:15 PM
Meno25 added a subscriber: Meno25.Dec 20 2017, 4:24 PM
alanajjar updated the task description. (Show Details)Dec 20 2017, 6:06 PM

I don't think this is actually easy to do. Setting up secure polls required sysadmin intervention in the past. I'm not sure if that's the case right now.

Legoktm added subscribers: Huji, Jalexander, Legoktm.

Adding Trust-and-Safety because I think normally James A helps with running SecurePoll...

Huji added a comment.EditedDec 22 2017, 3:51 AM

Setting up polls does not require sysadmin right anymore; all the associated bugs were fixed, and if I recall correctly, for the last fawiki elections @Jalexander was able to do all configurations (including eligible user list, etc) from within the wiki.

Tallying is another story though. Any election that is more than a few dozen votes may need the tallier to be run from command line (the web-based tallier does not support asynchronous jobs, and when run synchronously it often times out for these "large" elections).

Lastly, I think WMF prefers to configure all of the elections on the vote wiki (vote.wikimedia.org) and not on the local projects. So in my experience, the use of SecurePoll on WMF wikis is restricted to big elections (like Arb Com, etc.) which are only once a year per project.

I am all in favor of creating a process whereby users can ask for such big elections to be created, through a task on Phab (as opposed to what we do now which is through email to @Jalexander and team).

Dereckson added a subscriber: Dereckson.EditedDec 22 2017, 9:57 PM

Thanks @Huji for your input.

@Ibrahim.ID For what kind of polls do you want to use it?

we will use it in our ArbCom election 2018, Maybe in (Check User - Oversight) candidates if it acceptable in secure poll.

Generally, we want to use it in big elections only.

I read @Huji comment and I understand all point and the usage and restriction of Secure poll.

Huji added a subscriber: jrbs.Dec 24 2017, 12:03 AM

@Ibrahim.ID we have been using SecurePoll (via vote.wikimedia.org) for the Persian Wikipedia (fawiki) major elections for the last two years in the row as well. I think our process is pretty straightforward, and you should follow the same process for Arabic Wikipedia as well.

Have you used SecurePoll's admin interface before? Are you familiar with the options it offers? If yes, then please make a phab task for the next upcoming election, and make sure I am subscribed to it (just to help with formulating the task) and @Jalexander and @jrbs are also subscribed (they are the ones who will eventually configure the poll for you).

If you are *not* familiar wit the SecurePoll admin interface, then I think you and I can take this discussion offline, so I can help you with deciding on those choices.

Huji renamed this task from Enable create a Secure poll in Arwiki to Enable SecurePoll on Arabic Wikipedia.Dec 24 2017, 12:13 AM

@Huji
yes, I'm sysop in (test.wikipedia.org) and I tried to create a poll and I saw the configuration page.

anyway, we thought the Securepoll enabled locally in others projects and runs locally (not via vote.wikimedia.org).

so if this request doesn't possible please close it, and we will make a new request for the next upcoming election.

Thanks to all

jrbs moved this task from Backlog to Radar on the Trust-and-Safety board.Jan 4 2018, 7:20 PM
Huji added a comment.Jan 4 2018, 8:05 PM

@Jalexander should we close this, or do you think there is any appetite to have localized elections (i.e. elections *not* run on vote.wikimedia.org but on the local wiki itself)?

Ibrahim.ID changed the task status from Open to Stalled.Jan 28 2018, 4:22 AM
Ibrahim.ID closed this task as Resolved.Jan 28 2018, 8:50 AM
Ibrahim.ID claimed this task.
4nn1l2 added a subscriber: 4nn1l2.Nov 27 2018, 5:33 PM
4nn1l2 removed a subscriber: 4nn1l2.Nov 27 2018, 5:42 PM
Meno25 removed a subscriber: Meno25.May 31 2019, 11:45 AM